/*
	This code is part of the MCJoin project.
	Authored by Steven Begley (sbegley@latrobe.edu.au) as part of my PhD candidature.
	La Trobe University,
	Melbourne, Australia.
*/
#include "SMetrics.h"
#include <iostream>

using namespace std;

ostream& operator<<(ostream& os, const SMetrics& m)
{
	os << m.output_cardinality << "," << m.time_total << "," << m.time_flipFlop_r << "," << m.time_flipFlop_s << "," << m.time_scatter << "," << m.time_join << "," << m.time_restitch << "," << m.r_bias << "," << m.r_chunksProcessed << "," << m.s_chunksProcessed;

	return os;
}

