/*
	This code is part of the MCJoin project.
	Authored by Steven Begley (sbegley@latrobe.edu.au) as part of my PhD candidature.
	La Trobe University,
	Melbourne, Australia.
*/
#pragma once
#include "DataTypes.h"

struct SBUN
{
	uint32 key;
	uint32 payload;

	SBUN(uint32 newKey, uint32 newPayload) : key(newKey), payload(newPayload)
	{
	}

	SBUN() : key(0), payload(0)
	{
	}
};